#!/bin/sh
# Run this to generate all the initial makefiles, etc.

DIE=0

PROJECT=ccvssh

AUTOCONF_VERSION=2.53
AUTOMAKE_VERSION=1.6.1

(autoconf --version) < /dev/null > /dev/null 2>&1 || {
	echo
	echo "You must have autoconf version $AUTOCONF_VERSION installed to compile"
	echo "$PROJECT."
	echo "Download the appropriate package for your distribution,"
	echo "or get it from ftp://ftp.gnu.org/pub/gnu/autoconf/"
	DIE=1
}

# Do we really need libtool?
#(libtool --version) < /dev/null > /dev/null 2>&1 || {
#	echo
#	echo "You must have libtool installed to compile $PROJECT."
#	echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2.tar.gz"
#	echo "(or a newer version if it is available)"
#	DIE=1
#}

(automake --version) < /dev/null > /dev/null 2>&1 || {
	echo
	echo "You must have automake version $AUTOMAKE_VERSION installed to compile"
	echo "$PROJECT."
	echo "Download the appropriate package for your distribution,"
	echo "or get it from ftp://ftp.gnu.org/pub/gnu/automake/"
	DIE=1
}

if test "$DIE" -eq 1; then
	exit 1
fi

if test -z "$*"; then
	echo "I am going to run ./configure with no arguments - if you wish "
	echo "to pass any to it, please specify them on the $0 command line."
fi

case $CC in
*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
esac

for dir in .
do 
  echo processing $dir
  (cd $dir; \
  aclocal $ACLOCAL_FLAGS; \
  autoheader; automake --add-missing --foreign $am_opt; autoconf)
done

./configure "$@"

echo 
echo "Now type 'make' to compile $PROJECT."
